import { RedisDB } from './redis/RedisDB.js';

class MemoryDB {
  static connection = null;
  static instance = null;
  async connect() {
    this.instance = new RedisDB();
    await this.instance.connect();
  }

  async get(key) {
    return this.instance.get(key);
  }

  async set(key, value, expirationTime = null) {
    return this.instance.set(key, value, expirationTime);
  }
}

export default new MemoryDB();