import express from 'express';
import LogMiddleware from '../middleware/Log.js';
import AuthMiddleware from '../middleware/Auth.js';

class App {
  register(server) {
    server.use(express.json());
    LogMiddleware.register(server);
    AuthMiddleware.register(server);
  }
}

export default new App()