import { createHash } from 'node:crypto';

class IdGenerate {
  static shortId(text) {
    const sha = createHash('sha256');
    sha.update(text);
    const hash = sha.digest('hex');
    return hash.substring(0, 8);
  }
}

const { shortId } = IdGenerate;

export { shortId };

export default new IdGenerate();