import qrcode from 'qrcode';

class QRCode {
  async create(text, options = { errorCorrectionLevel: 'M', type: 'svg' }) {
    return new Promise((resolve, reject) => {
      qrcode.toString(text, options, (err, data) => {
        if (err) return reject(err);
        resolve(data);
      })
    });
  }
}

export default new QRCode();